<?php 
require_once '../../../../lib/configuration.inc';

// Vérification si l'accès est valide
if(!isset($_SESSION['SessionADMIN_compte_id'])){
	header('Location: ../../../auth.php');
	exit;
}

// Vérification si l'utilisateur a les droits d'accès
if($_SESSION['SessionADMIN_compte_type']=='utilisateur' AND (in_array(8, $_SESSION['SessionADMIN_compte_acces_modules'])==false OR in_array(10, $_SESSION['SessionADMIN_compte_acces_rubriques'])==false)){
	header('Location: ../../../');
	exit;
}


// Suppression de la compétition
$requete_suppression = mysqli_query($connexion_mysql, 'DELETE FROM competitions WHERE competition_id="'.$compet_id.'"');


// Défragmentation de la table
$requete_defragmentation_1 = mysqli_query($connexion_mysql, 'ALTER TABLE competitions AUTO_INCREMENT=1');
$requete_defragmentation_2 = mysqli_query($connexion_mysql, 'OPTIMIZE TABLE competitions');


header('Location: ./');
?>
